Results 1 to 1 of 1

Thread: Docker compose issues on 22.04.3

  1. #1
    Join Date
    Jan 2024
    Beans
    1

    Docker compose issues on 22.04.3

    I have the following script and Docker compose file, that worked great for years, but now no longer. I wasn't sure where to post this, so I thought I would start here. So far I haven't had much luck finding a solution via Google. Thank you in advance.

    My Update Script
    Code:
    server@home:~/scripts$ more update-plex.sh
    #!/usr/bin/bash
    cd /opt/docker/compose/plex
    sudo /usr/bin/docker-compose pull pms-docker;
    sudo /usr/bin/docker-compose rm -fs pms-docker;
    sudo /usr/bin/docker-compose up -d pms-docker;
    My Compose File
    Code:
    erver@home:~/scripts$ more /opt/docker/compose/plex/docker-compose.yml
    version: '3.3'
    services:
        pms-docker:
            container_name: plex
            network_mode: host
            restart: always
            environment:
                - PLEX_UID=997
                - PLEX_GID=997
                - TZ=America/Los_Angeles
                - PLEX_CLAIM=XXX
            volumes:
                - '/opt/docker/container-data/plex:/config'
                - '/tmp:/transcode'
                - '/mnt/NAS2/Media:/Media'
            image: plexinc/pms-docker
    Script Output (Docker Python errors)
    Code:
    erver@home:~/scripts$ ./update-plex.sh
    [sudo] password for server:
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
        return self.version(api_version=False)["ApiVersion"]
      File "/usr/lib/python3/dist-packages/docker/api/daemon.py", line 181, in version
        return self._result(self._get(url), json=True)
      File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 46, in inner
        return f(self, *args, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 237, in _get
        return self.get(url, **self._set_request_timeout(kwargs))
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 602, in get
        return self.request("GET", url, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 589, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 703, in send
        r = adapter.send(request, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/adapters.py", line 486, in send
        resp = conn.urlopen(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 790, in urlopen
        response = self._make_request(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 496, in _make_request
        conn.request(
    TypeError: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/bin/docker-compose", line 33, in <module>
        sys.exit(load_entry_point('docker-compose==1.29.2', 'console_scripts', 'docker-compose')())
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 81, in main
        command_func()
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 200, in perform_command
        project = project_from_options('.', options)
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 60, in project_from_options
        return get_project(
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 152, in get_project
        client = get_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 41, in get_client
        client = docker_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
        client = APIClient(use_ssh_client=not use_paramiko_ssh, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 197, in __init__
        self._version = self._retrieve_server_version()
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 221, in _retrieve_server_version
        raise DockerException(
    docker.errors.DockerException: Error while fetching server API version: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
        return self.version(api_version=False)["ApiVersion"]
      File "/usr/lib/python3/dist-packages/docker/api/daemon.py", line 181, in version
        return self._result(self._get(url), json=True)
      File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 46, in inner
        return f(self, *args, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 237, in _get
        return self.get(url, **self._set_request_timeout(kwargs))
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 602, in get
        return self.request("GET", url, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 589, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 703, in send
        r = adapter.send(request, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/adapters.py", line 486, in send
        resp = conn.urlopen(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 790, in urlopen
        response = self._make_request(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 496, in _make_request
        conn.request(
    TypeError: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    
    
    During handling of the above exception, another exception occurred:
    
    
    Traceback (most recent call last):
      File "/usr/bin/docker-compose", line 33, in <module>
        sys.exit(load_entry_point('docker-compose==1.29.2', 'console_scripts', 'docker-compose')())
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 81, in main
        command_func()
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 200, in perform_command
        project = project_from_options('.', options)
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 60, in project_from_options
        return get_project(
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 152, in get_project
        client = get_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 41, in get_client
        client = docker_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
        client = APIClient(use_ssh_client=not use_paramiko_ssh, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 197, in __init__
        self._version = self._retrieve_server_version()
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 221, in _retrieve_server_version
        raise DockerException(
    docker.errors.DockerException: Error while fetching server API version: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    Traceback (most recent call last):
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 214, in _retrieve_server_version
        return self.version(api_version=False)["ApiVersion"]
      File "/usr/lib/python3/dist-packages/docker/api/daemon.py", line 181, in version
        return self._result(self._get(url), json=True)
      File "/usr/lib/python3/dist-packages/docker/utils/decorators.py", line 46, in inner
        return f(self, *args, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 237, in _get
        return self.get(url, **self._set_request_timeout(kwargs))
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 602, in get
        return self.request("GET", url, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 589, in request
        resp = self.send(prep, **send_kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/sessions.py", line 703, in send
        r = adapter.send(request, **kwargs)
      File "/usr/local/lib/python3.10/dist-packages/requests/adapters.py", line 486, in send
        resp = conn.urlopen(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 790, in urlopen
        response = self._make_request(
      File "/usr/local/lib/python3.10/dist-packages/urllib3/connectionpool.py", line 496, in _make_request
        conn.request(
    TypeError: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    
    
    During handling of the above exception, another exception occurred:
    
    
    Traceback (most recent call last):
      File "/usr/bin/docker-compose", line 33, in <module>
        sys.exit(load_entry_point('docker-compose==1.29.2', 'console_scripts', 'docker-compose')())
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 81, in main
        command_func()
      File "/usr/lib/python3/dist-packages/compose/cli/main.py", line 200, in perform_command
        project = project_from_options('.', options)
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 60, in project_from_options
        return get_project(
      File "/usr/lib/python3/dist-packages/compose/cli/command.py", line 152, in get_project
        client = get_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 41, in get_client
        client = docker_client(
      File "/usr/lib/python3/dist-packages/compose/cli/docker_client.py", line 170, in docker_client
        client = APIClient(use_ssh_client=not use_paramiko_ssh, **kwargs)
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 197, in __init__
        self._version = self._retrieve_server_version()
      File "/usr/lib/python3/dist-packages/docker/api/client.py", line 221, in _retrieve_server_version
        raise DockerException(
    docker.errors.DockerException: Error while fetching server API version: HTTPConnection.request() got an unexpected keyword argument 'chunked'
    Last edited by betaforward; January 16th, 2024 at 07:39 PM. Reason: code tags

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •